Thai Character Not Display Correctly Using PDF Export

2008-05-05 06:30 - Gampol Thitinilnithi

Status: Closed Start date: 2008-05-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

I'm using Redmine 0.7.devel.1415 (MySQL)

The problem occur when i export pdf file from issue module, that the character not display correctly (as image)

 thai-character.jpg 

I use to have same problem with CSV export but can correct with following setting in /lang/th.yml

general_csv_encoding: cp874

general_pdf_encoding: cp874

When i print using fineprint pdf factory everything is fine

Please see attach redmine.pdf and fineprint.pdf

Related issues:

Is duplicate of Redmine - Defect #856: Export issue to PDF - broken character... Closed 2008-03-14

History

#1 - 2008-05-05 09:44 - Viktor Kuzmin

The same is with russian language.

PDF font is corrupted - no symbols except standart ASCII.

#2 - 2008-05-05 16:55 - Chaoqun Zou

I think that you maybe have to add Thai support to rfpdf.

If you read rfpdf's changelog, you will find that it have only add support to chinese, japanese and korean.

But rfpdf's original version FPDF do have support to Thai.

#3 - 2008-06-15 12:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicates #856.

Files

thai-character.jpg 120 KB 2008-05-05 Gampol Thitinilnithi

redmine.PDF 1.91 KB 2008-05-05 Gampol Thitinilnithi

fineprint.PDF 28.1 KB 2008-05-05 Gampol Thitinilnithi
